/**
* Grid
* Minimal grid system with auto-layout columns
*/

.grid {
  grid-column-gap: var(--grid-spacing-horizontal);
  grid-row-gap: var(--grid-spacing-vertical);
  display: grid;
  grid-template-columns: 1fr;
  margin: 0;
  align-items: center;

  &.small {
    display: flex;
    flex-direction: row;
    gap: var(--grid-spacing-horizontal);
  }

  @if map-get($breakpoints, "lg") {
    @media (min-width: map-get($breakpoints, "lg")) {
      grid-template-columns: repeat(auto-fit, minmax(0%, 1fr));
    }
  }

  &.auto {
    grid-template-columns: repeat(auto-fit, minmax(var(--grid-size), 1fr));
  }

  & > * {
    min-width: 0; // HACK for childs in overflow
  }

  & > button {
    margin: 0;
  }
}

.flex-row {
  display: flex;
  flex-direction: row;
  grid-column-gap: var(--grid-spacing-horizontal);
  grid-row-gap: var(--grid-spacing-vertical);
  gap: var(--grid-spacing-horizontal);
  &.wrap {
    flex-wrap: wrap;
  }
}

.buttons {
  display: flex;
  flex-direction: row;
  grid-column-gap: var(--grid-spacing-horizontal);
  grid-row-gap: var(--grid-spacing-vertical);
  gap: var(--grid-spacing-horizontal);
  flex-wrap: wrap;
  justify-content: start;
  align-items: baseline;
}
